<?php

use EventPortal\Domain\EventDelegate\Handlers\RegisterDelegate;
use EventPortal\Domain\EventDelegate\Handlers\UpdateFormData;
use EventPortal\Domain\EventDelegate\Handlers\UpdatePartialProgress;
use EventPortal\Domain\EventDelegate\Handlers\UpdateProgress;
use EventPortal\Domain\EventDelegate\RegistrationStatus;

return [
    'handlers' => [
        'store' => [
            UpdateFormData::class,
            UpdateProgress::class,
            RegisterDelegate::class,
        ],
        'update' => [
            UpdateFormData::class,
            UpdatePartialProgress::class,
            RegisterDelegate::class,
        ],
    ],
    'statusDelegateNeeds' => [
        RegistrationStatus::invited(),
        RegistrationStatus::declining(),
        RegistrationStatus::declined(),
    ],
];
